Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Some strange things in my System (older NVidia GT210 GPU)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 455

PostPosted: Sun Dec 24, 2017 3:39 pm    Post subject: Some strange things in my System (older NVidia GT210 GPU) Reply with quote

Code:
[   76.200282] udevd[3782]: worker [3840] /module/nvidia is taking a long time
[  196.156531] udevd[3840]: timeout 'nvidia-udev.sh add'
[  196.156541] udevd[3840]: slow: 'nvidia-udev.sh add' [3924]
[  196.328025] udevd[3782]: worker [3840] /module/nvidia timeout; kill it
[  196.328035] udevd[3782]: seq 2203 '/module/nvidia' killed
[  196.328290] udevd[3782]: worker [3840] terminated by signal 9 (Killed)
[  196.328292] udevd[3782]: worker [3840] failed while handling '/module/nvidia'
[  199.333623] udevd (3846) used greatest stack depth: 11840 bytes left
[  280.804176] NVRM: Your system is not currently configured to drive a VGA console
[  280.804178] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver
[  280.804179] NVRM: requires the use of a text-mode VGA console. Use of other console
[  280.804180] NVRM: drivers including, but not limited to, vesafb, may result in
[  280.804181] NVRM: corruption and stability problems, and is not supported.

What have i to do?

I use the x11-drivers/nvidia-drivers-340.104, there is no newer one driver.

I have sometimes, after a few days uptime the problem that no rsync will run, i can not close / stop it with STRG and C.
The same is after some days of uptime the i can not run a emerge -uaDvN world, it stop after a few lines and makes nothing.
I can break it with STRG and C, and than i see a lot of lines ... python..anything. Next time i will copy it

Code:
eselect python list
Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python3.4
  [3]   python2.7 (fallback)

Is this correct so?

i have now reboot my machine and have the problem that in the taskbar, the names from the programms they are running not correct displayed.
If i reboot, i think it will be normal - for a time.

it is not a memory problem, i run memtest86 - nothing found.

Dont know, but can this a gcc problem be?
Code:
gcc-config -l
 [1] x86_64-pc-linux-gnu-5.4.0 *
 [2] x86_64-pc-linux-gnu-6.4.0

i have installed a newer gcc, but use the older one, have never change any options...

Any ideas what i can do to solve the problems?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 42587
Location: 56N 3W

PostPosted: Sun Dec 24, 2017 6:35 pm    Post subject: Reply with quote

SarahS93,

If it works, you need do nothing.
Code:
[  280.804176] NVRM: Your system is not currently configured to drive a VGA console
[  280.804178] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver
[  280.804179] NVRM: requires the use of a text-mode VGA console. Use of other console
[  280.804180] NVRM: drivers including, but not limited to, vesafb, may result in
[  280.804181] NVRM: corruption and stability problems, and is not supported.

Means that you have a framebuffer console configured in the kernel, rather that the old original VGA text only console.
If you have video problems, rebuild the kernel with the VGA text console and without any framebuffer support.

Keep it at the back of your mind that if it works now, it may not in the future, so be prepared to make the change when you need to.

Its a feature of nvidia-drivers, not a problem.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 455

PostPosted: Mon Dec 25, 2017 2:40 am    Post subject: Reply with quote

Thanks, i will try it.

But there is now an other problem. I have make a kernel update from 4.14 to 4.18 and i can not rebuild the nvidia-drivers.

Code:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/cpumask.h:748:36: Anmerkung: bei Substitution des Makros »for_each_cpu«
 #define for_each_online_cpu(cpu)   for_each_cpu((cpu), cpu_online_mask)
                                    ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/vmstat.h:200:2: Anmerkung: bei Substitution des Makros »for_each_online_cpu«
  for_each_online_cpu(cpu)
  ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/vmstat.h: In Funktion »node_page_state_snapshot«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/cpumask.h:213:9: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
   (cpu) < nr_cpu_ids;)
         ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/cpumask.h:748:36: Anmerkung: bei Substitution des Makros »for_each_cpu«
 #define for_each_online_cpu(cpu)   for_each_cpu((cpu), cpu_online_mask)
                                    ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/vmstat.h:216:2: Anmerkung: bei Substitution des Makros »for_each_online_cpu«
  for_each_online_cpu(cpu)
  ^
make[2]: *** [/usr/src/linux-4.14.8-gentoo-r1/Makefile:1504: _module_/var/tmp/portage/x11-drivers/nvidia-drivers-340.104/work/kernel] Fehler 2
make[2]: Verzeichnis „/usr/src/linux-4.14.8-gentoo-r1“ wird verlassen
make[1]: *** [Makefile:146: sub-make] Fehler 2
make[1]: Verzeichnis „/usr/src/linux-4.14.8-gentoo-r1“ wird verlassen
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make: *** [Makefile:189: nvidia.ko] Fehler 1
 * ERROR: x11-drivers/nvidia-drivers-340.104::gentoo failed (compile phase):
 *   emake failed


Is the 340 nvidia-driver to old? This is the latest one for my GT210 NVidia-Card....
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 42587
Location: 56N 3W

PostPosted: Mon Dec 25, 2017 11:11 am    Post subject: Reply with quote

SarahS93,

The whole build log would be userful. The error is not in the part you posted.

Further up the log it wall say
Code:
Fehler 1
I guess that translates as Error 1?
We need to see the 50 or so lines leading up to that and some lines after too.

wgetpaste /path/to/log is much easier for us all.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 455

PostPosted: Mon Dec 25, 2017 4:41 pm    Post subject: Reply with quote

Sorry, i forgot it. Here is the pastebin.com link https://pastebin.com/CzX8ujkW
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 42587
Location: 56N 3W

PostPosted: Mon Dec 25, 2017 7:21 pm    Post subject: Reply with quote

SarahS93,

Here's the log leading up to the error. Lots of warnings about -Wsign-compare but I don't see any text about a problem around there.
I don't read German, so perhaps Google translate is not being my friend.

Code:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h: In Funktion »rht_grow_above_75«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h: In Funktion »rht_shrink_below_30«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h: In Funktion »rht_grow_above_100«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h: In Funktion »rht_grow_above_100«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h:308:34: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
    return atomic_read(&ht->nelems) < (tbl->size * 3 / 10) &&
                                  ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h:320:34: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
  return atomic_read(&ht->nelems) > tbl->size &&
                                  ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h:320:34: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
  return atomic_read(&ht->nelems) > tbl->size &&
                                  ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h:295:34: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
  return atomic_read(&ht->nelems) > (tbl->size / 4 * 3) &&
                                  ^
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h: In Funktion »rht_grow_above_max«:
/usr/src/linux-4.14.8-gentoo-r1/include/linux/rhashtable.h:332:34: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken [-Wsign-compare]
  return atomic_read(&ht->nelems) >= ht->max_elems;
                                  ^
make[3]: *** [/usr/src/linux-4.14.8-gentoo-r1/scripts/Makefile.build:314: /var/tmp/portage/x11-drivers/nvidia-drivers-340.104/work/kernel/nv-drm.o] Fehler 1


When you use anything other than MAKEOPTS="-j1" the output from the parallel makes appears all mixed up in the log, because it is.
I was expecting a more descriptive error massage further down the log.

Here
Code:
make[3]: *** Es wird auf noch nicht beendete Prozesse gewartet....
make gives up.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 455

PostPosted: Tue Dec 26, 2017 12:26 pm    Post subject: Reply with quote

If i use MAKEOPTS="-j1" than the error is an other one:
https://pastebin.com/yrYdtZG5
Do i have a wrong kernel .config file?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 42587
Location: 56N 3W

PostPosted: Tue Dec 26, 2017 1:32 pm    Post subject: Reply with quote

SarahS93,

Google Translate:
[01m? [Kdrm_pci_exit? [M? [K "[-Werror = implicit-function-declaration]
     drm_pci_exit (& nv_drm_driver, pci_driver);
? [01; 32m? [K ^? [M? [K
cc1: Some warnings are treated as errors
make [3]: *** [/usr/src/linux-4.14.8-gentoo-r1/scripts/Makefile.build:315: /var/tmp/portage/x11-drivers/nvidia-drivers-340.104/work /kernel/nv-drm.o] Error 1


It looks like your nvdiia-drivers is not compatible with your kernel.
Code:
 -Werror = implicit-function-declaration
should never happen. It implies that the nvidia-driver is looking for something it expects the kernel to provide but its missing.

Your nvidia-drivers-340.104 was released on 2017.9.19. It may not work with kernels released after that date until nvidia update it.
However, there are some community patches

Do you know how to provide them to portage so that they will be used?
Do NOT use the instructions on that site.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 455

PostPosted: Tue Dec 26, 2017 3:55 pm    Post subject: Reply with quote

I found this too, thanks. No i do not provide them to portage how to work.
I think i run the older 4.12 kernel the next weeks. I planed to buy a new GPU in the next weeks.
So i can use than a newer driver they will work with the newer kernel. Or i will try the nvidia nouveau driver.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 42587
Location: 56N 3W

PostPosted: Tue Dec 26, 2017 4:08 pm    Post subject: Reply with quote

SarahS93,

That works too.

If you want to try those patches, you only have to put them in the right place and portage will find them when you rebuild nvdia-drivers
Your nvidia-drivers ebuild is EAPI 6.

Its possible that the patches will not apply because the files to be patched are not found.
That will cause the build to fail. It usually means that the -p1 argument to patch does not work for the path names in the patch hunks.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum